change bid
curl --request PUT \
--url https://console.vast.ai/api/v0/instances/bid_price/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_id": "me",
"price": 0.17
}
'import requests
url = "https://console.vast.ai/api/v0/instances/bid_price/{id}"
payload = {
"client_id": "me",
"price": 0.17
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({client_id: 'me', price: 0.17})
};
fetch('https://console.vast.ai/api/v0/instances/bid_price/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"success": false,
"error": "invalid_args",
"msg": "Please set a bid price >= 0.001."
}{
"success": false,
"error": "no_such_instance",
"msg": "Instance with that ID does not exist."
}{
"detail": "API requests too frequent endpoint threshold=5.5"
}Instances
change bid
Change the current bid price of an instance to a specified price.
CLI Usage: vastai change bid <id> --price <price>
PUT
/
api
/
v0
/
instances
/
bid_price
/
{id}
change bid
Authorizations
API key must be provided in the Authorization header
Path Parameters
Instance ID
Body
application/json
Response
Success response
Example:
true
⌘I